वेबसाइट
GET https://analytics.ipcidr.com/api/websites/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| search | वैकल्पिक स्ट्रिंग | खोज स्ट्रिंग। |
| search_by | वैकल्पिक स्ट्रिंग | आप किस फ़ील्ड से खोज रहे हैं। अनुमत मान: name, host। |
| is_enabled | वैकल्पिक पूर्णांक | |
| tracking_type | वैकल्पिक स्ट्रिंग | अनुमत मान: normal, lightweight |
| domain_id | वैकल्पिक पूर्णांक | |
| datetime_field | वैकल्पिक स्ट्रिंग | अनुमत मान: datetime, last_datetime |
| datetime_start | वैकल्पिक स्ट्रिंग | इस तिथि से परिणाम फ़िल्टर करें। Y-m-d H:i:s प्रारूप। |
| datetime_end | वैकल्पिक स्ट्रिंग | इस तिथि तक परिणाम फ़िल्टर करें। Y-m-d H:i:s प्रारूप। |
| order_by | वैकल्पिक स्ट्रिंग | परिणामों को किस फ़ील्ड से क्रमित करें। अनुमत मान: website_id, datetime, last_datetime, name, host, current_month_sessions_events। |
| order_type | वैकल्पिक स्ट्रिंग | परिणामों का क्रम। अनुमत मान: आरोही क्रम के लिए ASC, और अवरोही क्रम के लिए DESC। |
| page | वैकल्पिक पूर्णांक | वह पृष्ठ संख्या जिससे आप परिणाम चाहते हैं। डिफ़ॉल्ट 1। |
| results_per_page | वैकल्पिक पूर्णांक | प्रति पृष्ठ कितने परिणाम चाहिए। अनुमत मान: 10, 25, 50, 100, 250, 500, 1000। डिफ़ॉल्ट 25। |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 02:15:51",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/websites?page=1",
"last": "https://analytics.ipcidr.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/websites?page=1"
}
}
GET https://analytics.ipcidr.com/api/websites/{website_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-06-04 02:15:51",
"last_datetime": null
}
}
POST https://analytics.ipcidr.com/api/websites
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| domain_id | वैकल्पिक पूर्णांक | - |
| name | आवश्यक स्ट्रिंग | - |
| scheme | वैकल्पिक स्ट्रिंग | अनुमत मान: http://, https:// |
| host | आवश्यक स्ट्रिंग | उदाहरण: example.com/path। |
| tracking_type | वैकल्पिक स्ट्रिंग | अनुमत मान: lightweight, normal |
| excluded_ips | वैकल्पिक स्ट्रिंग | ट्रैकिंग से IP बाहर रखें। अल्पविराम से अलग किए गए मान दर्ज करें। |
| outbound_clicks_is_enabled | वैकल्पिक बूलियन | |
| events_children_is_enabled | वैकल्पिक बूलियन | विज़िटर इवेंट ट्रैक करें (माउस क्लिक, रीसाइज़, स्क्रॉल, फ़ॉर्म सबमिशन)। अनुमत मान: 0 या 1। केवल normal ट्रैकिंग प्रकार के लिए उपलब्ध। |
| sessions_replays_is_enabled | वैकल्पिक बूलियन | सेशन रीप्ले। अनुमत मान: 0 या 1। केवल normal ट्रैकिंग प्रकार के लिए उपलब्ध। |
| sessions_replays_hide_text_selector | वैकल्पिक स्ट्रिंग | |
| email_reports_is_enabled | वैकल्पिक बूलियन | ईमेल रिपोर्ट। अनुमत मान: 0 या 1। |
| ip_storage_is_enabled | वैकल्पिक बूलियन | उपलब्ध जब: tracking_type = normal |
| query_parameters_tracking_is_enabled | वैकल्पिक बूलियन | - |
| bot_exclusion_is_enabled | वैकल्पिक बूलियन | - |
| public_statistics_is_enabled | वैकल्पिक बूलियन | - |
| public_statistics_password | वैकल्पिक स्ट्रिंग | - |
| is_enabled | वैकल्पिक बूलियन | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://analytics.ipcidr.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/websites/{website_id}
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| domain_id | वैकल्पिक पूर्णांक | - |
| name | वैकल्पिक स्ट्रिंग | - |
| scheme | वैकल्पिक स्ट्रिंग | अनुमत मान: http://, https:// |
| host | वैकल्पिक स्ट्रिंग | उदाहरण: example.com/path। |
| excluded_ips | वैकल्पिक स्ट्रिंग | ट्रैकिंग से IP बाहर रखें। अल्पविराम से अलग किए गए मान दर्ज करें। |
| outbound_clicks_is_enabled | वैकल्पिक बूलियन | |
| events_children_is_enabled | वैकल्पिक बूलियन | विज़िटर इवेंट ट्रैक करें (माउस क्लिक, रीसाइज़, स्क्रॉल, फ़ॉर्म सबमिशन)। अनुमत मान: 0 या 1। केवल normal ट्रैकिंग प्रकार के लिए उपलब्ध। |
| sessions_replays_is_enabled | वैकल्पिक बूलियन | सेशन रीप्ले। अनुमत मान: 0 या 1। केवल normal ट्रैकिंग प्रकार के लिए उपलब्ध। |
| sessions_replays_hide_text_selector | वैकल्पिक स्ट्रिंग | |
| email_reports_is_enabled | वैकल्पिक बूलियन | ईमेल रिपोर्ट। अनुमत मान: 0 या 1। |
| ip_storage_is_enabled | वैकल्पिक बूलियन | उपलब्ध जब: tracking_type = normal |
| query_parameters_tracking_is_enabled | वैकल्पिक बूलियन | - |
| bot_exclusion_is_enabled | वैकल्पिक बूलियन | - |
| public_statistics_is_enabled | वैकल्पिक बूलियन | - |
| public_statistics_password | वैकल्पिक स्ट्रिंग | - |
| is_enabled | वैकल्पिक बूलियन | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \